"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const core_container_1 = require("@mlcc/core-container");
const boom_1 = __importDefault(require("boom"));
const micromatch_1 = __importDefault(require("micromatch"));
exports.whitelist = {
    name: "whitelist",
    version: "0.1.0",
    register(server, options) {
        server.ext({
            type: "onRequest",
            async method(request, h) {
                const remoteAddress = request.info.remoteAddress;
                if (Array.isArray(options.whitelist)) {
                    for (const ip of options.whitelist) {
                        try {
                            if (micromatch_1.default.isMatch(remoteAddress, ip)) {
                                return h.continue;
                            }
                        }
                        catch (_a) {
                            return boom_1.default.forbidden();
                        }
                    }
                }
                core_container_1.app.resolvePlugin("logger").warn(`${remoteAddress} tried to access the ${options.name} without being whitelisted :warning:`);
                return boom_1.default.forbidden();
            },
        });
    },
};
//# sourceMappingURL=whitelist.js.map