"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const expand_home_dir_1 = __importDefault(require("expand-home-dir"));
const fs_1 = require("fs");
const create_1 = require("./create");
async function createSecureServer(options, callback, secure) {
    options.host = secure.host;
    options.port = secure.port;
    options.tls = {
        key: fs_1.readFileSync(expand_home_dir_1.default(secure.key)),
        cert: fs_1.readFileSync(expand_home_dir_1.default(secure.cert)),
    };
    return create_1.createServer(options, callback);
}
exports.createSecureServer = createSecureServer;
//# sourceMappingURL=create-secure.js.map