"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const hapi_1 = __importDefault(require("hapi"));
const monitor_1 = require("./monitor");
async function createServer(options, callback = null) {
    const server = new hapi_1.default.Server(options);
    await server.register([require("vision"), require("inert"), require("lout")]);
    await server.register({
        plugin: require("hapi-trailing-slash"),
        options: { method: "remove" },
    });
    if (callback) {
        await callback(server);
    }
    if (process.env.NODE_ENV === "test") {
        await monitor_1.monitorServer(server);
    }
    return server;
}
exports.createServer = createServer;
//# sourceMappingURL=create.js.map